Package org.apache.sling.scripting.sightly.use

## Interface UseProvider

    @ConsumerType
    public interface UseProvider

A `UseProvider` instantiates objects for the Use-API.

### Method Summary

All Methods Instance Methods Abstract Methods
`ProviderOutcome` `provide​(String identifier, RenderContext renderContext, Bindings arguments)` Provide an instance based on the given identifier

### Method Detail

#### provide

    ProviderOutcome provide​(String identifier,
                            RenderContext renderContext,
                            Bindings arguments)

Provide an instance based on the given identifier

Parameters:
  `identifier` - the identifier of the dependency
  `renderContext` - the current rendering context
  `arguments` - specific arguments provided by the use plugin
Returns:
  a container with the instance that corresponds to the identifier; if the identifier cannot be handled by this provider, a failed outcome is returned.